Bug 17183 - Koha News 'delete selected' function doesn't check if anything has been selected
Summary: Koha News 'delete selected' function doesn't check if anything has been selected
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-24 03:43 UTC by Aleisha Amohia
Modified: 2017-12-07 22:17 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17183: Check if any checkboxes have been checked for 'Delete Selected' button in Koha News (2.26 KB, patch)
2016-08-24 03:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 17183: Check if any checkboxes have been checked for 'Delete Selected' button in Koha News (2.31 KB, patch)
2016-08-24 10:57 UTC, Claire Gravely
Details | Diff | Splinter Review
[PASSED QA] Bug 17183: Check if any checkboxes have been checked for 'Delete Selected' button in Koha News (2.38 KB, patch)
2016-08-28 19:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-08-24 03:43:12 UTC
The 'delete selected' button in Koha News doesn't first check if any news items have been selected to delete.
Comment 1 Aleisha Amohia 2016-08-24 03:46:53 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2016-08-24 10:57:19 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-28 19:40:00 UTC
Created attachment 54960 [details] [review]
[PASSED QA] Bug 17183: Check if any checkboxes have been checked for 'Delete Selected' button in Koha News

To test:
1) Go to Tools -> Koha News
2) Click 'Delete selected' button without selecting anything
3) Notice you are asked to confirm if you would like to delete ... but
you didn't choose anything to delete
4) Apply patch and refresh page
5) Click 'Delete selected' button without selecting anything
6) Should see alert.
7) Select one or more news items to delete and click 'Delete selected'
button
8) Should be asked to confirm
9) Confirm that the delete works as expected

Sponsored-by: Catalyst IT
Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-09-09 15:02:14 UTC
Pushed to master for 16.11, thanks Aleisha!